<?php
	namespace Mocha\Oop\MethodImplementations;

	use Mocha\Core\InstanceReference;
	use Mocha\Core\KnownAttributeGuids;
	use Mocha\Core\KnownClassGuids;
	use Mocha\Core\KnownRelationshipGuids;
	use Mocha\Core\OmsContext;
	use Mocha\Oms\Oms;
	use Mocha\Oop\MethodImplementation;

	use Phast\UUID;

	class GetSpecifiedInstancesMethodImplementation extends MethodImplementation
	{
		protected function executeInternal(Oms $oms, OmsContext $context, InstanceReference $method, ?array $parms)
		{
			$returnsWorkSet = $oms->getRelatedInstance($method, KnownRelationshipGuids::Get_Specified_Instances_Method__returns__Work_Set);
			$usesInstances = $oms->getRelatedInstances($method, KnownRelationshipGuids::Get_Specified_Instances_Method__uses__Instance);
			$context->setWorkData($returnsWorkSet, $usesInstances);
			return $returnsWorkSet;
		}
	}

?>